Extensions
All operations require authentication.
List database extensionsProduction
Returns the names of the extensions available for the database.
Path parameters
Database name
Service name
Query parameters
Filter results on extension name (like)
Filter results on status (=)
disableddisablingenabledenablingResponse
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ extension \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a database extensionProduction
Returns the status and description of the extension, and the extensions it requires.
Path parameters
Database name
Extension name
Service name
Response
Extension details
Extension name
Required extensions
Extension status
disableddisablingenabledenablingExample uses databaseName = string, extensionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ extension/ {extensionName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "extensionName": "string", "requiredExtensions": [ "string" ], "status": "disabled"}
Disable an extensionProduction
Disables the extension on the database. Returns a task to follow the change.
Path parameters
Database name
Extension name
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, extensionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ extension/ {extensionName}/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Enable an extensionProduction
Enables the extension on the database. The extensions it requires are not enabled automatically: enable them first.
Path parameters
Database name
Extension name
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, extensionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ extension/ {extensionName}/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}